<html>
	<head>
		<script>
			function hello() {
				
				var email = document.getElementById("email").value;
				var password = document.getElementById("password").value;
				var format = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
				var count = 0;
				if (email == "") {
					document.getElementById("error1").innerHTML = "please enter email!";
					count++;
				} else if (email.match(format)) {
				    document.getElementById("error1").innerHTML = "";
				} else {
				
				    document.getElementById("error1").innerHTML = "please enter valid email!";
			     	count++;
				}
				if (password == "") {
					document.getElementById("error2").innerHTML = "please enter password!";
					count++;
				}else if(password.length < 5 || password.length >10){
					document.getElementById("error2").innerHTML = "max-length of password is 8 and min is 5 !";
					count++;
				} else {
				
				    document.getElementById("error2").innerHTML = "";
				}
				if (count > 0) {
				    return false;
				}
			  }
		</script>
	</head>

	<!-- partial:index.partial.html -->
	<body>


		<form method="POST" action="/api/user/login" onsubmit="return hello()">
			<div class="box-form">
				<div class="left">
					<div class="overlay">
						<h1>E-Commerce Platform</h1>
						<!-- <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.
		Curabitur et est sed felis aliquet sollicitudin</p> -->
						<!-- <span>
			<p>login with social media</p>
			<a href="#"><i class="fa fa-facebook" aria-hidden="true"></i></a>
			<a href="#"><i class="fa fa-twitter" aria-hidden="true"></i> Login with Twitter</a>
		</span> -->
					</div>
				</div>

				<div class="right">
					<center><h5>Login</h5></center>
					<p>
						Don't have an account? <a href="/signup">Creat Your Account</a> it takes
						less than a minute
					</p>
					<!-- <form method="POST" action="/api/user/login"> -->

					<div class="inputs">
						<input type="text" placeholder="Email" name="email" id="email"/>
						<span id="error1" style="color: rgb(224, 56, 182);"></span>
						<br />
						<input
							type="password"
							placeholder="password"
							name="password"
							id="password"
							current-password
							/>
						<span id="error2" style="color:rgb(224, 56, 182);"></span>
					</div>

					<!-- </form> -->
					<br /><br />
					<% if (message) { %>
						<span style="color:rgb(224, 56, 182);""><%= message %></span>
							<% } %>
								<!-- <div class="remember-me--forget-password"> -->
									<!-- Angular -->
									<!-- <label>
		<input type="checkbox" name="item" checked/>
		<span class="text-checkbox">Remember me</span>
	</label> -->
									<!-- <p
										onMouseOver="this.style.color='black'"
										onMouseOut="this.style.color='silver'">
										forgot password?
									</p> -->
								<!-- </div> -->

								<br />
								<button
									onMouseOver="this.style.color='black'"
									onMouseOut="this.style.color='white'"
									type="submit">
									Login
								</button>
							</div>
						</div>
					</form>
				</body>



			</html>

			<!-- partial -->
